## poppler 0.20.4

=== debian/changelog ===
poppler (0.20.4-0ubuntu1.2) quantal-security; urgency=low

  * SECURITY UPDATE: invalid memory access issues
    - debian/patches/CVE-2013-1788.patch: add checks in poppler/Function.cc,
      poppler/Stream.cc, splash/Splash.cc.
    - CVE-2013-1788
  * SECURITY UPDATE: denial of service via malformed documents
    - debian/patches/CVE-2013-1789.patch: validate data in splash/Splash.cc.
    - CVE-2013-1789
  * SECURITY UPDATE: uninitialized memory read
    - debian/patches/CVE-2013-1790.patch: properly handle refLine in
      poppler/Stream.cc.
    - CVE-2013-1790

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Mar 2013 13:43:15 -0500

poppler (0.20.4-0ubuntu1.1) quantal-proposed; urgency=low

  * debian/patches/git_gouraud_shading_support.patch: (LP: #1072129)
    - Evince crashes after opening certain PDF file because parameterized
      Gouraud shading is not supported.

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 10 Nov 2012 16:53:36 +0100

poppler (0.20.4-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/control:
  * debian/rules:
  * debian/libpoppler28.install:
    - libpoppler27 -> libpoppler28

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 12 Sep 2012 10:53:15 +1200

poppler (0.20.3-2ubuntu1) quantal; urgency=low

  * Merge with Debian to resolve armel FTBFS, remaining changes:
    - Drop libopenjpeg-dev build depends, it's in universe.
    - Lower poppler-data to Suggests, it's too big for CD images,
      handled by language-selector.
    - Have libpoppler-dev Depend on libpoppler-private-dev, to help with
      the transition after the split of the two packages (inherited from
      Debian).
  * Add one more optional symbol to libpoppler-qt4-4 symbols file to
    account for armel toolchain differences between Debian and Ubuntu.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Aug 2012 04:20:31 -0600

poppler (0.20.3-2) experimental; urgency=low

  * Adapt the libpoppler-qt4-4 symbols file to the internal symbols exported
    only with GCC 4.7, and to other templinst arm* symbols.

 -- Pino Toscano <pino@debian.org>  Tue, 14 Aug 2012 01:08:12 +0200

poppler (0.20.3-1ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Drop libopenjpeg-dev build depends, it's in universe.
    - Lower poppler-data to Suggests, it's too big for CD images,
      handled by language-selector.
    - Have libpoppler-dev Depend on libpoppler-private-dev, to help with
      the transition after the split of the two packages (inherited from
      Debian).

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 14 Aug 2012 13:11:05 +1200

poppler (0.20.3-1) experimental; urgency=low

  * New upstream release.
  * Rename packages according to the new SONAMEs:
    - libpoppler26 -> libpoppler27
  * Update copyright.
  * Remove from libpoppler-private-dev the headers we used to install manually
    but which are not installed by the upstream sources:
    - ArthurOutputDev.h
    - CairoFontEngine.h
    - CairoOutputDev.h
    - DCTStream.h
    - JPEG2000Stream.h
    - PageLabelInfo.h
    using them would have meant not compiling with upstream sources anyway.
  * Remove the libopenjpeg-dev suggest from libpoppler-private-dev, since now
    there are no more headers including openjpeg headers.
  * Add a symbols file for libpoppler-qt4-4, based on poppler 0.20.1:
    - add patch qt4-visibility.diff to enable the GCC hidden visibility,
      and avoid exporting private symbols
    - set the current poppler version as version for the remaining private
      symbols
    - stop invoking dh_makeshlibs manually for libpoppler-qt4-4

 -- Pino Toscano <pino@debian.org>  Sat, 11 Aug 2012 12:13:20 +0200

poppler (0.20.2-2ubuntu2) quantal; urgency=low

  * debian/control:
    - Have libpoppler-dev Depend on libpoppler-private-dev, to help with
      the transition after the split of the two packages (inherited from
      Debian).

 -- Michael Terry <mterry@ubuntu.com>  Wed, 18 Jul 2012 12:38:24 -0400

poppler (0.20.2-2ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Drop libopenjpeg-dev build depends, it's in universe.
    - Lower poppler-data to Suggests, it's too big for CD images,
      handled by language-selector.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 16 Jul 2012 15:25:44 +0100

poppler (0.20.2-2) experimental; urgency=low

  * Raise the version of the libpoppler-private-dev breaks/replaces against
    libpoppler-dev to << 0.20.2. (Closes: #681313)

 -- Pino Toscano <pino@debian.org>  Thu, 12 Jul 2012 12:19:17 +0200

poppler (0.20.2-1) experimental; urgency=low

  * New upstream release.
  * Merge changes from 0.18.4-3:
    - upstream_cairo-use-correct-userfont-font-bbox.patch: drop, backported
    - upstream_Change-nnnnnn-to-number.patch: drop, backported
    - upstream_pdfinfo-decode-utf-16-surrogate-pairs.patch: drop, backported
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 11 Jul 2012 23:51:35 +0200

poppler (0.20.1-1ubuntu2) quantal; urgency=low

  * debian/control:
    - Build-Depend on libtiff5-dev

 -- Michael Terry <mterry@ubuntu.com>  Tue, 10 Jul 2012 09:27:55 -0400

poppler (0.20.1-1ubuntu1) quantal; urgency=low

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Drop libopenjpeg-dev build depends, it's in universe.
    - Lower poppler-data to Suggests, it's too big for CD images,
      handled by language-selector.

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 22 Jun 2012 14:50:04 +1200

poppler (0.20.1-1) experimental; urgency=low

  * New upstream release.
  * Rename packages according to the new SONAMEs:
    - libpoppler19 -> libpoppler26
    - libpoppler-qt4-3 -> libpoppler-qt4-4
  * Bump shlibs for libpoppler-qt4-4.
  * Update copyright.
  * Update build dependencies:
    - Switch liblcms1-dev to liblcms2-dev, supported upstream now.
  * debian/patches:


=== debian/control ===
Source: poppler
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Josselin Mouette <joss@debian.org>,
           Dave Beckett <dajobe@debian.org>,
           Ross Burton <ross@debian.org>,
           Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg (>= 1.16.1),
               autotools-dev,
               libglib2.0-dev (>= 2.18),
               libgtk2.0-dev (>= 2.12),
               libfontconfig1-dev,
               libqt4-dev (>= 4.4.0),
               libcairo2-dev (>= 1.10.0),
               libjpeg-dev,
               libpng-dev,
               libtiff-dev,
               liblcms2-dev,
               libfreetype6-dev,
               gtk-doc-tools (>= 1.14),
               pkg-config (>= 0.18),
               libgirepository1.0-dev (>= 1.31.0-2~),
               gobject-introspection (>= 1.31.0-2~),
               libglib2.0-doc
Standards-Version: 3.9.3
Homepage: http://poppler.freedesktop.org/
Vcs-Git: git://git.debian.org/pkg-freedesktop/poppler.git
Vcs-Browser: http://git.debian.org/?p=pkg-freedesktop/poppler.git

Package: libpoppler28
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: poppler-data
Description: PDF rendering library
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the shared core library.

Package: libpoppler-dev
Architecture: any
Section: libdevel
Depends: libpoppler28 (= ${binary:Version}),
         libpoppler-private-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the development libraries needed to build applications
 using Poppler.

Package: libpoppler-private-dev
Architecture: any
Section: libdevel
Depends: libpoppler-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: libfreetype6-dev,
          libpng-dev,
          libtiff-dev
Breaks: libpoppler-dev (<< 0.20.2)
Replaces: libpoppler-dev (<< 0.20.2)
Description: PDF rendering library -- private development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the private and unstable headers needed to build
 applications using the private Poppler core library.

Package: libpoppler-glib8
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the GLib-based shared library for applications
 using the GLib interface to Poppler.

Package: libpoppler-glib-dev
Architecture: any
Section: libdevel
Depends: libpoppler-glib8 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         gir1.2-poppler-0.18 (= ${binary:Version}),
         libglib2.0-dev (>= 2.18),
         libcairo2-dev (>= 1.10.0),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (GLib interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the GLib-based Poppler interface.

Package: gir1.2-poppler-0.18
Architecture: any
Section: introspection
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for poppler-glib
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains introspection data for poppler-glib.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libpoppler-qt4-4
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (Qt 4 based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the Qt 4 based shared library for applications
 using the Qt 4 interface to Poppler.

Package: libpoppler-qt4-dev
Architecture: any
Section: libdevel
Depends: libpoppler-qt4-4 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         libqt4-dev (>= 4.4.0),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (Qt 4 interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the Qt 4-based Poppler interface.

Package: libpoppler-cpp0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (CPP shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the CPP shared library for applications
 using a simple C++ interface (using STL, and no other dependency) to Poppler.

Package: libpoppler-cpp-dev
Architecture: any
Section: libdevel
Depends: libpoppler-cpp0 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (CPP interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the C++ Poppler interface.

Package: poppler-utils
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ghostscript
Breaks: xpdf-utils (<< 3.02-2~)
Conflicts: pdftohtml
Replaces: xpdf-utils (<< 3.02-2~),
          pdftohtml,
          xpdf-reader
Provides: xpdf-utils,
          pdftohtml
Description: PDF utilities (based on Poppler)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains command line utilities (based on Poppler) for getting
 information of PDF documents, convert them to other formats, or manipulate
 them:
  * pdfdetach -- lists or extracts embedded files (attachments)
  * pdffonts -- font analyzer
  * pdfimages -- image extractor
  * pdfinfo -- document information
  * pdfseparate -- page extraction tool
  * pdftocairo -- PDF to PNG/JPEG/PDF/PS/EPS/SVG converter using Cairo
  * pdftohtml -- PDF to HTML converter
  * pdftoppm -- PDF to PPM/PNG/JPEG image converter
  * pdftops -- PDF to PostScript (PS) converter
  * pdftotext -- text extraction
  * pdfunite -- document merging tool

Package: poppler-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         libpoppler28 (= ${binary:Version})
Description: PDF rendering library -- debugging symbols
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the debugging symbols for all the Poppler libraries
 and the utilities.

## poppler 0.20.5

=== qt4/tests/CMakeLists.txt ===
add_definitions(${QT4_DEFINITIONS})
add_definitions(-DTESTDATADIR=\"${TESTDATADIR}\")

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../src
  ${CMAKE_CURRENT_BINARY_DIR}
  ${QT4_INCLUDE_DIR}
)

macro(QT4_ADD_SIMPLETEST exe source)
  string(REPLACE "-" "" test_name ${exe})
  set(${test_name}_SOURCES
    ${source}
  )
  poppler_add_test(${exe} BUILD_QT4_TESTS ${${test_name}_SOURCES})
  target_link_libraries(${exe} poppler-qt4)
  if(MSVC)
    target_link_libraries(${exe} poppler ${poppler_LIBS})
  endif(MSVC)
endmacro(QT4_ADD_SIMPLETEST)

macro(QT4_ADD_QTEST exe source)
  if (QT4_QTTEST_FOUND)
    string(REPLACE "-" "" test_name ${exe})
    set(${test_name}_SOURCES
      ${source}
    )
    poppler_add_unittest(${exe} BUILD_QT4_TESTS ${${test_name}_SOURCES})
    qt4_automoc(${${test_name}_SOURCES})
    target_link_libraries(${exe} poppler-qt4 ${QT4_QTTEST_LIBRARY})
    if(MSVC)
      target_link_libraries(${exe} poppler ${poppler_LIBS})
    endif(MSVC)
  endif (QT4_QTTEST_FOUND)
endmacro(QT4_ADD_QTEST)


qt4_add_simpletest(test-poppler-qt4 test-poppler-qt4.cpp)
qt4_add_simpletest(test-password-qt4 test-password-qt4.cpp)
qt4_add_simpletest(poppler-fonts poppler-fonts.cpp)
qt4_add_simpletest(poppler_attachments poppler-attachments.cpp)
qt4_add_simpletest(stress-poppler-qt4 stress-poppler-qt4.cpp)
qt4_add_simpletest(stress-poppler-dir stress-poppler-dir.cpp)
qt4_add_simpletest(poppler-texts poppler-texts.cpp)

qt4_add_qtest(check_attachments check_attachments.cpp)
qt4_add_qtest(check_dateConversion check_dateConversion.cpp)
qt4_add_qtest(check_fonts check_fonts.cpp)
qt4_add_qtest(check_links check_links.cpp)
qt4_add_qtest(check_metadata check_metadata.cpp)
qt4_add_qtest(check_optcontent check_optcontent.cpp)
qt4_add_qtest(check_pagelayout check_pagelayout.cpp)
qt4_add_qtest(check_pagemode check_pagemode.cpp)
qt4_add_qtest(check_password check_password.cpp)
qt4_add_qtest(check_permissions check_permissions.cpp)
qt4_add_qtest(check_search check_search.cpp)
qt4_add_qtest(check_actualtext check_actualtext.cpp)
qt4_add_qtest(check_lexer check_lexer.cpp)
if (NOT WIN32)
  qt4_add_qtest(check_strings check_strings.cpp)
endif (NOT WIN32)

=== debian/changelog ===
poppler (0.20.5-1ubuntu3) raring; urgency=low

  * SECURITY UPDATE: invalid memory access issues
    - debian/patches/CVE-2013-1788.patch: add checks in poppler/Function.cc,
      poppler/Stream.cc, splash/Splash.cc.
    - CVE-2013-1788
  * SECURITY UPDATE: denial of service via malformed documents
    - debian/patches/CVE-2013-1789.patch: validate data in splash/Splash.cc.
    - CVE-2013-1789
  * SECURITY UPDATE: uninitialized memory read
    - debian/patches/CVE-2013-1790.patch: properly handle refLine in
      poppler/Stream.cc.
    - CVE-2013-1790

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Mar 2013 12:59:26 -0500

poppler (0.20.5-1ubuntu2) raring; urgency=low

  * debian/tests/build: Don't call deprecated g_type_init() when building with
    glib >= 2.35.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Jan 2013 16:14:28 +0100

poppler (0.20.5-1ubuntu1) raring; urgency=low

  * Merge from Debian experimental. Remaining changes:
    - Drop libopenjpeg-dev build depends, it's in universe.
    - Lower poppler-data to Suggests, it's too big for CD images,
      handled by language-selector.
    - Have libpoppler-dev Depend on libpoppler-private-dev, to help with
      the transition after the split of the two packages (inherited from
      Debian).
    - Add one more optional symbol to libpoppler-qt4-4 symbols file to
      account for armel toolchain differences between Debian and Ubuntu.
    - debian/patches/git_gouraud_shading_support.patch:  Evince crashes after
      opening certain PDF file because parameterized Gouraud shading is not
      supported.
    - debian/patches/git_mask_segfault.patch: don't segfault in
      setSoftMaskFromImageMask.
    - debian/patches/git_no_buggy_check.patch: "Don't do a check for sanity
      that then we don't use."
    - Add simple compile/link/run autopkgtest.
  * Refresh Ubuntu patches.

 -- Logan Rosen <logatronico@gmail.com>  Fri, 21 Dec 2012 16:54:30 -0500

poppler (0.20.5-1) experimental; urgency=low

  * New upstream release.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 10 Oct 2012 21:02:25 +0200

poppler (0.20.5-0ubuntu3) raring; urgency=low

  * Add simple compile/link/run autopkgtest.

 -- Daniel Kessel <d.kessel@gmx.de>  Thu, 13 Dec 2012 17:11:45 +0100

poppler (0.20.5-0ubuntu2) raring; urgency=low

  * debian/patches/git_mask_segfault.patch:
    - don't segfault in setSoftMaskFromImageMask (lp: #1034229)
  * debian/patches/git_no_buggy_check.patch:
    "Don't do a check for sanity that then we don't use" (lp: #1020162)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 03 Dec 2012 18:47:40 +0100

poppler (0.20.5-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Nov 2012 14:50:48 +1300

poppler (0.20.4-1) experimental; urgency=low

  * New upstream release.
  * Rename packages according to the new SONAMEs:
    - libpoppler27 -> libpoppler28
  * Add few optional symbols to the libpoppler-qt4-4 symbols file.
  * Rename docs to libpoppler28.docs to make sure it is used only for
    libpoppler.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Sep 2012 17:03:39 +0200

poppler (0.20.4-0ubuntu2) raring; urgency=low

  * debian/patches/git_gouraud_shading_support.patch: (LP: #1072129)
    - Evince crashes after opening certain PDF file because parameterized
      Gouraud shading is not supported.

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 10 Nov 2012 16:51:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XS-Testsuite: autopkgtest
 XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
 Uploaders: Josselin Mouette <joss@debian.org>,
            Dave Beckett <dajobe@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f

# the upstream version (i.e. without the Debian revision)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
# symbols.in files & their "generated" file names
SYMBOLS_in := $(wildcard debian/*.symbols.in)
SYMBOLS_generated := $(patsubst %.in,%,$(SYMBOLS_in))

# use qt4's moc as the default moc is qt3's when both are installed
PATH := /usr/share/qt4/bin:$(PATH)
export PATH

# avoid overlinking and reduce library dependencies
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# make the build verbose
export V=1

# enable all the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# disable gtk stuff to minimize Build-Depends
CONFIGURE_ARGS :=				\
	--enable-libjpeg			\
	--enable-splash-output			\
	--enable-cairo-output			\
	--enable-poppler-glib			\
	--enable-poppler-qt4			\
	--enable-poppler-cpp			\
	--enable-gtk-doc			\
	--enable-xpdf-headers			\
	--enable-introspection=yes		\
	--disable-gtk-test

%:
	dh $@ --parallel --with gir

override_dh_auto_clean:
	dh_auto_clean
	rm -f glib/reference/html/*
	rm -f $(SYMBOLS_generated)

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs -plibpoppler28
	dh_installchangelogs --remaining-packages -XChangeLog

override_dh_strip:
	dh_strip --dbg-package=poppler-dbg

override_dh_makeshlibs: $(SYMBOLS_generated)
	dh_makeshlibs -plibpoppler28 -V
	dh_makeshlibs -plibpoppler-cpp0 -V"libpoppler-cpp0 (>= 0.16)"
	dh_makeshlibs --remaining-packages

debian/%.symbols: debian/%.symbols.in
	cat $^ | sed -e 's/#CURVER#/$(UPSTREAM_VERSION)/g' > $@

.PHONY: override_dh_auto_test

## poppler 0.24.1

=== debian/changelog ===
poppler (0.24.1-0ubuntu1) saucy; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 27 Aug 2013 16:35:09 +0200

poppler (0.24.0-0ubuntu1) saucy; urgency=low

  * New upstream version, new soname version (37 -> 43)
  * debian/debian/libpoppler-qt4-4.symbols.in:
    - updated for the new version
  * Build qt5 packages

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 30 Jul 2013 14:23:19 +0200

poppler (0.22.4-0ubuntu1) saucy; urgency=low

  * New upstream release 0.22.4 (LP: #1135995).
    - Should fix the text selection problems (LP: #39890).
    - Should fix issues with PDF forms (LP: #1153517).
  * Drop all upstream patches and refresh other patches.
  * Change the soname version in package name: libpoppler28 -> libpoppler37.
  * Update symbols files.
  * Update debian/copyright (taken from Debian packaging Git).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 17 May 2013 17:07:14 +0400

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libgtk2.0-dev (>= 2.12),
                libfontconfig1-dev,
                libqt4-dev (>= 4.4.0),
+               qtbase5-dev,
                libcairo2-dev (>= 1.10.0),
                libjpeg-dev,
                libpng-dev,
@@ -31,7 +32,7 @@
 Vcs-Git: git://git.debian.org/pkg-freedesktop/poppler.git
 Vcs-Browser: http://git.debian.org/?p=pkg-freedesktop/poppler.git
 
-Package: libpoppler28
+Package: libpoppler43
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -47,7 +48,7 @@
 Package: libpoppler-dev
 Architecture: any
 Section: libdevel
-Depends: libpoppler28 (= ${binary:Version}),
+Depends: libpoppler43 (= ${binary:Version}),
          libpoppler-private-dev,
          ${shlibs:Depends},
          ${misc:Depends}
@@ -142,6 +143,32 @@
  .
  This package contains the headers and development libraries needed to
  build applications using the Qt 4-based Poppler interface.
+
+Package: libpoppler-qt5-1
+Architecture: any
+Section: libs
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: PDF rendering library (Qt 5 based shared library)
+ Poppler is a PDF rendering library based on Xpdf PDF viewer.
+ .
+ This package provides the Qt 5 based shared library for applications
+ using the Qt 5 interface to Poppler.
+
+Package: libpoppler-qt5-dev
+Architecture: any
+Section: libdevel
+Depends: libpoppler-qt5-1 (= ${binary:Version}),
+         libpoppler-dev (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: PDF rendering library -- development files (Qt 5 interface)
+ Poppler is a PDF rendering library based on Xpdf PDF viewer.
+ .
+ This package contains the headers and development libraries needed to
+ build applications using the Qt 5-based Poppler interface.
 
 Package: libpoppler-cpp0
 Architecture: any
@@ -206,7 +233,7 @@
 Section: debug
 Priority: extra
 Depends: ${misc:Depends},
-         libpoppler28 (= ${binary:Version})
+         libpoppler43 (= ${binary:Version})
 Description: PDF rendering library -- debugging symbols
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	--enable-cairo-output			\
 	--enable-poppler-glib			\
 	--enable-poppler-qt4			\
+	--enable-poppler-qt5			\
 	--enable-poppler-cpp			\
 	--enable-gtk-doc			\
 	--enable-xpdf-headers			\
@@ -47,14 +48,14 @@
 	dh_install --list-missing
 
 override_dh_installchangelogs:
-	dh_installchangelogs -plibpoppler28
+	dh_installchangelogs -plibpoppler43
 	dh_installchangelogs --remaining-packages -XChangeLog
 
 override_dh_strip:
 	dh_strip --dbg-package=poppler-dbg
 
 override_dh_makeshlibs: $(SYMBOLS_generated)
-	dh_makeshlibs -plibpoppler28 -V
+	dh_makeshlibs -plibpoppler43 -V
 	dh_makeshlibs -plibpoppler-cpp0 -V"libpoppler-cpp0 (>= 0.16)"
 	dh_makeshlibs --remaining-packages
